﻿using UnityEngine;
using System.Collections;
using UnityStandardAssets.CrossPlatformInput;

public class InputHandler : MonoBehaviour {
	public LayerMask layerMask;
	public float distance = 10.0f;
	private GameObject selectedObject;
	private Vector2 mouseStartPos;
	public static bool acceptingInput = true;

	void Update () {
		if(acceptingInput == false)
			return;
		if(Input.GetButtonDown("Select")){
			Ray ray = new Ray(Camera.main.transform.position, Camera.main.transform.forward);
			RaycastHit hitInfo;
			if(Physics.Raycast(ray, out hitInfo, distance, layerMask)){
				selectedObject = hitInfo.collider.gameObject;
				//mouseStartPos = Input.mousePosition;
				//Debug.Log(mouseStartPos);
			}
		}
		if(selectedObject){
			if(Input.GetButtonUp("Select")){
				selectedObject.SendMessage("Activate");
				selectedObject = null;
			}
		}
	}
}
