﻿using UnityEngine;
using System.Collections;

public class BedInteraction: MonoBehaviour {

	bool alreadyChecked = false;

	public void Activate(){
		//Do something!
		if(!GlobalVars.hasLearnedOfBox){
			MessageBox.NewMessage("The bed is a bit small, but it works.");
		}else{
			if(!alreadyChecked){
				MessageBox.NewMessage("Thinking about what Darron said, you check the carpet in the corner under the bed.");
				MessageBox.AddMessage("It peels away to reveal a metal box. The padlock Darron mentioned is missing.");
				MessageBox.AddMessage("So is most of what was in the box. Only a phone charger remains.");
				if(GlobalVars.hasFoundPhone)
					MessageBox.AddMessage("It probably fits that phone you found. Looks proprietary.");
				GlobalVars.hasFoundCharger = true;
				alreadyChecked = true;
			}else{
				MessageBox.NewMessage("The bed is a bit small, but it works. You make a point to move it later, so it's not perched over a hole in the floor.");
			}
		}
	}
}
