﻿using UnityEngine;
using System.Collections;

public class BookInteraction : MonoBehaviour {

	bool alreadyChecked = false;
	public string[] pages;


	public void Activate(){
		//Do something!
		if(!alreadyChecked){
			alreadyChecked = true;
			MessageBox.NewMessage("What's this book here?");
			MessageBox.AddMessage("'Emily' is written across the front.");
			MessageBox.AddMessage("Nearly all the pages are blank. Looks like some school notes?");
			MessageBox.AddMessage("What's left looks like some drawings of atoms.");
			MessageBox.AddMessage("Oh, there's a note here: Tamika's # = Avogadro's Number.");
		}else{
			MessageBox.NewMessage("It's some of Emily's school notes. Probably chemistry.");
			MessageBox.AddMessage("There's a note: Tamika's # = Avogadro's Number.");
		}
		GlobalVars.canSearchForAvogadro = true;
		GlobalVars.hasLearnedTamikaNumber = true; //if people know the number already, then go ahead.
	}
}
