﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class NewspaperViewer : MonoBehaviour {

	public GameObject blowupArticleRoot;
	public GameObject blowupMainArticleRoot;
	public Text articleTitle;
	public Text articleBody;
	public Text mainArticleTitle;
	public Text mainArticleBody;


	public void highlightArticle(GameObject target){
		Image i = target.GetComponent<Image>();
		if(i == null)
			return;
		i.enabled = true;
	}

	public void unHighlightArticle(GameObject target){
		Image i = target.GetComponent<Image>();
		if(i == null)
			return;
		i.enabled = false;
	}

	public void SelectArticle(GameObject target){
		Text targetBody = target.GetComponent<Text>();
		Text targetTitle = target.transform.parent.GetComponent<Text>();
		if(targetBody == null || targetTitle == null)
			return;
		articleTitle.text = targetTitle.text;
		articleBody.text = targetBody.text;
		blowupArticleRoot.SetActive(true);
	}

	public void CloseArticle(){
		articleTitle.text = "";
		articleBody.text = "";
		blowupArticleRoot.SetActive(false);
	}

	public void selectMainArticle(GameObject target){
		Text targetBody = target.GetComponent<Text>();
		Text targetTitle = target.transform.parent.GetComponent<Text>();
		if(targetBody == null || targetTitle == null)
			return;
		mainArticleTitle.text = targetTitle.text;
		mainArticleBody.text = targetBody.text;
		blowupMainArticleRoot.SetActive(true);
	}

}
