﻿using UnityEngine;
using System.Collections.Generic;
using System;

public class Conversation {
	public int messageIndex = 0;
	private List<string> messages;
	private Action onFinish;

	public Conversation(){
		messages = new List<string>();
	}

	public void AddMessage(string msg){
		messages.Add(msg);
		Debug.Log(messages.Count);
	}
		

	public string GetNextMessage(){
		Debug.Log(messages.Count);
		Debug.Log(messageIndex);
		if(messageIndex >= messages.Count){
			if(onFinish != null)
				onFinish();
			return "";
		}else{
			messageIndex++;
			return messages[messageIndex - 1];
		}
	}

	public void setOnFinish(Action func){
		onFinish = func;
	}

}
