﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;
using UnityStandardAssets.Characters.FirstPerson;


public class DialogueManager : MonoBehaviour {

	public GameObject dialogueRoot;
	public ScrollRect scrollDialogue;
	public GameObject lineRoot;
	public GameObject linePrefab;
	public FirstPersonController fpController;
	private static Conversation curConv;

	public static void StartConversation(Conversation conv){
		curConv = conv;
	}

	void Update(){
		if(curConv == null)
			return;
		if(curConv.messageIndex == 0 || Input.GetButtonUp("Select")){
			dialogueRoot.SetActive(true);
			string nextMessage = curConv.GetNextMessage();
			if(nextMessage == ""){
				if(fpController != null){
					fpController.setLockCursor(true);
				}
			}else{
				Vector3 pos = lineRoot.transform.position;
				GameObject go = (GameObject)Instantiate(linePrefab);
				go.transform.SetParent(lineRoot.transform);
				lineRoot.transform.position = pos;
				//Debug.Log(lineRoot.transform.position);
				go.GetComponentInChildren<Text>().text = nextMessage;
			}
		}
		/*
		if(scrollDialogue.verticalNormalizedPosition > 0f)
			scrollDialogue.verticalNormalizedPosition -= Time.deltaTime * .5f;
		if(scrollDialogue.verticalNormalizedPosition < 0f)
			scrollDialogue.verticalNormalizedPosition = 0f;
		if(curConv == null)
			return;
		//if(InputHandler.acceptingInput == true)
			//InputHandler.acceptingInput == false;
		if(fpController != null){
			fpController.setLockCursor(false);
		}
		if(curConv.messageIndex == 0 || Input.GetButtonUp("Select")){
			dialogueRoot.SetActive(true);
			string nextMessage = curConv.GetNextMessage();
			if(nextMessage == ""){
				if(fpController != null){
					fpController.setLockCursor(true);
				}
			}else{
				Vector3 pos = lineRoot.transform.position;
				GameObject go = (GameObject)Instantiate(linePrefab);
				go.transform.SetParent(lineRoot.transform);
				lineRoot.transform.position = pos;
				//Debug.Log(lineRoot.transform.position);
				go.GetComponentInChildren<Text>().text = nextMessage;
			}
		}
		*/
	}


}
