﻿using UnityEngine;
using System.Collections;
using UnityStandardAssets.Characters.FirstPerson;

public class EscapeToQuit : MonoBehaviour {

	public GameObject quitYesNoBox;
	public FirstPersonController fpController;
	
	// Update is called once per frame
	void Update () {
		if(Input.GetButtonUp("Cancel")){
			if(quitYesNoBox.activeSelf == false)
				Show();
			else
				Hide();
		}
	}

	public void Show(){
		
		if(fpController != null)
			fpController.setLockCursor(false);
		InputHandler.acceptingInput = false;
		quitYesNoBox.SetActive(true);
	}

	public void Hide(){
		if(fpController != null)
		fpController.setLockCursor(true);
		InputHandler.acceptingInput = true;
		quitYesNoBox.SetActive(false);
	}

	public void QuitGame(){
		Application.Quit();
	}
}
