﻿using UnityEngine;
using System.Collections;

public class GlobalVars : MonoBehaviour {

	public static bool hasLearnedName = false;
	public static bool hasLearnedTamikaNumber = false;
	public static bool hasCalledTamika = false;
	public static bool hasLearnedDarronNumber = false;
	public static bool hasCalledDarron = false;
	public static bool hasLearnedElwandaNumber = false;
	public static bool hasCalledElwanda = false;
	public static bool hasLearnedWaylonNumber = false;
	public static bool hasCalledWaylon = false;
	public static bool hasLearnedOfBox = false;
	public static bool hasFoundPhone = false;
	public static bool hasFoundCharger = false;
	public static bool hasLearnedUnlockA = false;
	public static bool hasLearnedUnlockB = false;
	public static bool knowsUnlockHint = false;
	public static bool canSearchForAvogadro = false;
	public static bool phoneCharged = false;
	public static int storyStage = 0;

	public static void Start(){
		hasLearnedName = false;
		hasLearnedTamikaNumber = false;
		hasCalledTamika = false;
		hasLearnedDarronNumber = false;
		hasCalledDarron = false;
		hasLearnedElwandaNumber = false;
		hasCalledElwanda = false;
		hasLearnedWaylonNumber = false;
		hasCalledWaylon = false;
		hasLearnedOfBox = false;
		hasFoundPhone = false;
		hasFoundCharger = false;
		hasLearnedUnlockA = false;
		hasLearnedUnlockB = false;
		knowsUnlockHint = false;
		canSearchForAvogadro = false;
		phoneCharged = false;
		storyStage = 0;
	}

	public static string ParseNumber(string n){
		if(n.Length <= 3)
			return n;
		string buffer = n;
		if(n.Length == 11){
			buffer = buffer.Insert(1, "-");
			buffer = buffer.Insert(5, "- ");
			buffer = buffer.Insert(10, "-");
			return buffer;
		}
		if(n.Length > 7){
			buffer = buffer.Insert(3, "- ");
			buffer = buffer.Insert(8, "-");
			return buffer;
		}
		buffer = buffer.Insert(3, "-");
		return buffer;
	}

}
