﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class IntroPhoneCall : MonoBehaviour {

	public string sceneToLoad;
	public GameObject phoneRoot;

	public AudioSource audioSource;
	public AudioClip ringClip;

	public void CallAboutApartment(){
		//TODO: Dialogue Start

		phoneRoot.SetActive(true);

		//Conversation conv = new Conversation();
		audioSource.PlayOneShot(ringClip, .1f);
		MessageBox conv = MessageBox.NewMessage("<b>Woman:</b> Hello?");
		MessageBox.AddMessage("<b>You:</b> Hi, I'm calling about the room for rent. Is this Hannah?");
		MessageBox.AddMessage("<b>Hannah:</b> Yes it is. Thank goodness! No one else has called.");
		MessageBox.AddMessage("<b>You:</b> So it's still available then?");
		MessageBox.AddMessage("<b>Hannah:</b> Yeah. It's just a little room in Becubah. It's nice and quiet here. Do you have a job?");
		MessageBox.AddMessage("<b>You:</b> I was just offered a job at Conrad there in Pecos. I'm actually a bit desperate to find a place. I'm starting next week, and I'm living in a hotel right now.");
		MessageBox.AddMessage("<b>Hannah:</b> Conrad, huh? That's pretty nice. Did you move here from far away?");
		MessageBox.AddMessage("<b>You:</b> From Texas. I don't have much with me. Just enough to get me through a week.");
		MessageBox.AddMessage("<b>Hannah:</b> Texas is a bit far, yeah. Wow. Excited to see the beach?");
		MessageBox.AddMessage("<b>You:</b> Maybe after I've settled.");
		MessageBox.AddMessage("<b>Hannah:</b> Of course. So no pets, yeah? I've got Delilah, but that's all they let me have.");
		MessageBox.AddMessage("<b>You:</b> None for me. Is Delilah a cat?");
		MessageBox.AddMessage("<b>Hannah:</b> Yeah, I hope you don't mind taking care of her when I'm away. Which is a lot. Like in a few days.");
		MessageBox.AddMessage("<b>You:</b> No, I love cats.");
		MessageBox.AddMessage("<b>Hannah:</b> Great, let's hope she likes you then. Let's meet and see how it goes. How about you come over to....");
		MessageBox.AddMessage(".");
		MessageBox.AddMessage("..");
		MessageBox.AddMessage("...");
		MessageBox.AddMessage("And soon you found yourself with a new home.");
		conv.onFinish = () =>{
			SceneManager.LoadScene(sceneToLoad);
		};

		//DialogueManager.StartConversation(conv);
	}
}
